package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 实体
 * 表名 tb_cf_comments_reply
 *
 * @author lipengjun
 * @date 2019-10-26 17:13:28
 */
public class TbCfCommentsReplyEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 评论子表id
     */
    private String commentsId;
    /**
     * 评论主表id
     */
    private String commentId;
    /**
     * 评论者id
     */
    private String commentFromId;
    /**
     * 评论者名字
     */
    private String commentFromName;
    /**
     * 评论者头像
     */
    private String commentFromAvatar;
    /**
     * 被评论者id
     */
    private String commentToId;
    /**
     * 被评论者名字
     */
    private String commentToName;
    /**
     * 被评论者头像
     */
    private String commentToAvatar;
    /**
     * 评论内容
     */
    private String content;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 设置：评论子表id
     */
    public void setCommentsId(String commentsId) {
        this.commentsId = commentsId;
    }

    /**
     * 获取：评论子表id
     */
    public String getCommentsId(String commentsId) {
        return commentsId;
    }
    /**
     * 设置：评论主表id
     */
    public void setCommentId(String commentId) {
        this.commentId = commentId;
    }

    /**
     * 获取：评论主表id
     */
    public String getCommentId() {
        return commentId;
    }
    /**
     * 设置：评论者id
     */
    public void setCommentFromId(String commentFromId) {
        this.commentFromId = commentFromId;
    }

    /**
     * 获取：评论者id
     */
    public String getCommentFromId() {
        return commentFromId;
    }
    /**
     * 设置：评论者名字
     */
    public void setCommentFromName(String commentFromName) {
        this.commentFromName = commentFromName;
    }

    /**
     * 获取：评论者名字
     */
    public String getCommentFromName() {
        return commentFromName;
    }
    /**
     * 设置：评论者头像
     */
    public void setCommentFromAvatar(String commentFromAvatar) {
        this.commentFromAvatar = commentFromAvatar;
    }

    /**
     * 获取：评论者头像
     */
    public String getCommentFromAvatar() {
        return commentFromAvatar;
    }
    /**
     * 设置：被评论者id
     */
    public void setCommentToId(String commentToId) {
        this.commentToId = commentToId;
    }

    /**
     * 获取：被评论者id
     */
    public String getCommentToId() {
        return commentToId;
    }
    /**
     * 设置：被评论者名字
     */
    public void setCommentToName(String commentToName) {
        this.commentToName = commentToName;
    }

    /**
     * 获取：被评论者名字
     */
    public String getCommentToName() {
        return commentToName;
    }
    /**
     * 设置：被评论者头像
     */
    public void setCommentToAvatar(String commentToAvatar) {
        this.commentToAvatar = commentToAvatar;
    }

    /**
     * 获取：被评论者头像
     */
    public String getCommentToAvatar() {
        return commentToAvatar;
    }
    /**
     * 设置：评论内容
     */
    public void setContent(String content) {
        this.content = content;
    }

    /**
     * 获取：评论内容
     */
    public String getContent() {
        return content;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }
}
